Loading...
Searching...
No Matches
XrdSecpwdTrace.hh File Reference
`#include "XrdOuc/XrdOucTrace.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
Include dependency graph for XrdSecpwdTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DEBUG(y)
#define | EPNAME(x)
#define | NOTIFY(y)
#define | PRINT(y)
#define | QTRACE(act)
#define | TRACE(act, x)
#define | TRACE_ALL 0x000f
#define | TRACE_Authen 0x0002
#define | TRACE_Debug 0x0001
#define | TRACE_Dump 0x0004

## Variables

XrdOucTrace * | pwdTrace

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | y | ) |

Value:
TRACE(Authen,y)
TRACE
#define TRACE(act, x)
Definition XrdTrace.hh:63

Definition at line 42 of file XrdSecpwdTrace.hh.

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 43 of file XrdSecpwdTrace.hh.

## NOTIFY

#define NOTIFY | ( |  | y | ) |

Value:
TRACE(Debug,y)
Debug
bool Debug
Definition XrdSecgsiProxy.cc:95

Definition at line 41 of file XrdSecpwdTrace.hh.

## PRINT

#define PRINT | ( |  | y | ) |

Value:
{if (pwdTrace) {pwdTrace->Beg(epname); \
std::cerr <<y; pwdTrace->End();}}
pwdTrace
XrdOucTrace * pwdTrace
Definition XrdSecProtocolpwd.cc:209

Definition at line 38 of file XrdSecpwdTrace.hh.

#define PRINT(y) {if (pwdTrace) {pwdTrace->Beg(epname); \
std::cerr <<y; pwdTrace->End();}}

## QTRACE

#define QTRACE | ( |  | act | ) |

Value:
(pwdTrace && (pwdTrace->What & TRACE_ ## act))

Definition at line 37 of file XrdSecpwdTrace.hh.

## TRACE

#define TRACE | ( |  | act,
|  |  | x )

Value:
if (QTRACE(act)) PRINT(x)
QTRACE
#define QTRACE(act)
Definition XrdCmsTrace.hh:49
PRINT
#define PRINT(y)
Definition XrdCryptosslTrace.hh:39

Definition at line 40 of file XrdSecpwdTrace.hh.

## TRACE_ALL

#define TRACE_ALL 0x000f

Definition at line 56 of file XrdSecpwdTrace.hh.

## TRACE_Authen

#define TRACE_Authen 0x0002

Definition at line 58 of file XrdSecpwdTrace.hh.

## TRACE_Debug

#define TRACE_Debug 0x0001

Definition at line 59 of file XrdSecpwdTrace.hh.

## TRACE_Dump

#define TRACE_Dump 0x0004

Definition at line 57 of file XrdSecpwdTrace.hh.

## Variable Documentation

## pwdTrace

XrdOucTrace* pwdTrace

extern

Definition at line 209 of file XrdSecProtocolpwd.cc.

Referenced by XrdSecProtocolpwd::Init(), and XrdSecProtocolpwdInit().